//go:build !windows

package nfs_test

import (
	"git.noahlan.cn/noahlan/ntool/nfs"
	"git.noahlan.cn/noahlan/ntool/ntest/assert"
	"testing"
)

func TestSlashPath_nw(t *testing.T) {
	assert.Eq(t, "path/to/dir", nfs.JoinPaths("path", "to", "dir"))
	assert.Eq(t, "path/to/dir", nfs.JoinSubPaths("path", "to", "dir"))
}

func TestRealpath_nw(t *testing.T) {
	inPath := "/path/to/some/../dir"
	assert.Eq(t, "/path/to/dir", nfs.Realpath(inPath))
}
